// Your web app's Firebase configuration
var firebaseConfig = {
    apiKey: "AIzaSyAnGyaeJIfnTglnP3YOmEPqq2-h-_nN520",
    authDomain: "ibm-hack-1ee6d.firebaseapp.com",
    databaseURL: "https://ibm-hack-1ee6d.firebaseio.com",
    projectId: "ibm-hack-1ee6d",
    storageBucket: "ibm-hack-1ee6d.appspot.com",
    messagingSenderId: "661026893033",
    appId: "1:661026893033:web:ee742164c98e39d0"
};
// Initialize Firebase
firebase.initializeApp(firebaseConfig);

function sendTo() {
    var postData = {
        fullNameField: document.getElementById("full-name-field").value,
        mailField: document.getElementById("mail-field").value,
        contactUsField: document.getElementById("contact-us-field").value,
        companyField: document.getElementById("company-field").value,
        userMsgField: document.getElementById("user-msg-field").value,
        date: Date()
    }
    console.log(postData)
    firebase.database().ref().child('contact-us').push(postData).then(function (){
        console.log('Save!!')
        alert("Thank you. We will contact you as soon as possible.");
        document.getElementById("full-name-field").value = '';
        document.getElementById("mail-field").value = '';
        document.getElementById("contact-us-field").value = '';
        document.getElementById("company-field").value = '';
        document.getElementById("user-msg-field").value = '';
    });
}

var dataLanguage = [
    {id:'bot1', en:'Home', es:'Inicio'},
    {id:'bot2', en:'Services', es:'Servicios'},
    {id:'bot3', en:'About', es:'Nosotros'},
    {id:'bot4', en:'Portfolio', es:'Portafolio'},
    {id:'bot5', en:'Contact', es:'Contacto'},
    {id:'bot6', en:'Get Started', es:'Inicia'},
    {id:'services1', en:'Services', es:'Servicios'},
    {id:'servicesDes', en:'These are the services that we offer for you.', es:'Estos son los servicios que ofrecemos para ti.'},
    {id:'service1', en:'3D MODELING AND 3D ANIMATION', es:'MODELADO Y ANIMACIÓN EN 3D'},
    {id:'service2', en:'CREATION OF EXPERIENCES OF MIXED REALITY', es:'CREACIÓN DE EXPERIENCIAS EN REALIDAD MIXTA'},
    {id:'service3', en:'ARTIFICIAL INTELLIGENCE', es:'INTEGRACIÓN DE HERRAMIENTAS DE INTELIGENCIA ARTIFICIAL'},
    {id:'service4', en:'ADVISORY  AND DEVELOPMENT OF VIRTUAL  AND AUGMENTED REALITY PRODUCTS', es:'ASESORIA PARA PRODUCTOS DE REALIDAD VIRTUAL Y AUMENTADA'},
    {id:'aboutUs', en:'About Us', es:'Nosotros'},
    {
        id:'whoWeAre', 
        en:'We are a team of engineers, designers and technology lovers who design and create solutions with cutting edge technologies for diferent realities.', 
        es:'Somos un equipo de ingenieros, diseñadores y apasionados por la tecnología que diseñamos y creamos soluciones con tecnología de vanguardia para diferentes realidades.'
    },
    {id:'portfolio', en:'Portfolio', es:'Portafolio'},
    {
        id:'project', 
        en:'These are some projects in which we have been working.', 
        es:'Estos son algunos proyectos en los cuales hemos estado trabajando.'
    },
    {
        id:'projDes1', 
        en:'System to improve the visualization of the environment.', 
        es:'Sistema para mejorar la visualización del entorno.'
    },
    {id:'proj2', en:'Tango training', es:'Entrenamiento de tango'},
    {
        id:'projDes2', 
        en:'System to learn tango steps by using mixed reality.', 
        es:'Sistema para aprender pasos de tango usando realidad mixta.'
    },
    {id:'proj3', en:'Tennis training', es:'Entrenamiento de tenis'},
    {
        id:'projDes3', 
        en:'System that uses mixed reality, eye tracking and artifitial intelligence.', 
        es:'Sistema que usa relidad mixta, seguimiento visual e inteligencia artificial.'
    },
    {id:'proj4', en:'Body visualizer', es:'Visualizador del Cuerpo'},
    {
        id:'projDes4', 
        en:'System to visualize body parts by using medical images.', 
        es:'Sistema para visualizar partes del cuerpo usando imagenes médicas.'
    },
    {id:'proj5', en:'E-commerce App', es:'Comercio electrónico'},
    {
        id:'projDes5', 
        en:'App oriented to use holograms of products.', 
        es:'Aplicación orientada al uso de hologramas de productos.'
    },
    {id:'proj6', en:'Virtual art gallery', es:'Galeria de arte virtual'},
    {
        id:'projDes6', 
        en:'Exhibition of art products generated by using virtual reality controls.', 
        es:'Exhibicion de productos de arte generados usando controles de realidad virtual.'
    },
    {id:'getInT', en:'Get In Touch', es:'Contáctanos'},
    {id:'contDet', en:'Contact Details', es:'Datos de Contacto'},
    {id:'sentMess', en:'Sent Us Message', es:'Envíanos un mensaje'},
    {id:'name1', en:'Full Name', es:'Nombre Completo'},
    {id:'email1', en:'Email', es:'Correo Electrónico'},
    {id:'subject', en:'Subject', es:'Asunto'},
    {id:'comp', en:'Company', es:'Empresa'},
    {id:'message', en:'Your Message', es:'Mensaje'},
    {id:'bot7', en:'Submit', es:'Enviar'},
]


function changeLanguage(lang){
    dataLanguage.forEach((obj)=>{
        try {
            document.getElementById(obj['id']).innerHTML = obj[lang];
        }
        catch(error) {
            console.log("Error es id inexistente", obj['id']);
        }
    });
}
changeLanguage('en')